%define fname	jenkinsapi

Name:		python-jenkinsapi
Summary:	Jenkins API for Python
Version:	0.2.29
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/j/%{fname}/%{fname}-%{version}.tar.gz
URL:	    https://pypi.python.org/pypi/jenkinsapi/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
Provide a Python API for Jenkins.

%package -n python3-jenkinsapi
Summary:	Jenkins API for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-jenkinsapi
Provide a Python 3 API for Jenkins.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}
%{python_sitelib}/%{fname}_tests

%files -n python3-jenkinsapi
%doc README.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{python3_sitelib}/%{fname}_tests


%changelog
* Thu Dec 17 2015 shlomif <shlomif> 0.2.29-1.mga6
+ Revision: 911421
- New version 0.2.29

* Fri Oct 09 2015 shlomif <shlomif> 0.2.28-1.mga6
+ Revision: 888080
- New version + Rebuild for new Python3 3.5.x

* Tue Nov 04 2014 shlomif <shlomif> 0.2.25-1.mga5
+ Revision: 795525
- Import python-jenkinsapi

